hpp-corbaserver: floatSeqSeq_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Friends | List of all members
floatSeqSeq_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| floatSeqSeq_var ()
| floatSeqSeq_var (floatSeqSeq *_s)
| floatSeqSeq_var (const floatSeqSeq_var &_s)
| ~floatSeqSeq_var ()
floatSeqSeq_var & | operator= (floatSeqSeq *_s)
floatSeqSeq_var & | operator= (const floatSeqSeq_var &_s)
floatSeq & | operator[] (_CORBA_ULong _s)
floatSeqSeq * | operator-> ()
const floatSeqSeq * | operator-> () const
| operator const floatSeqSeq & () const
| operator floatSeqSeq & ()
const floatSeqSeq & | in () const
floatSeqSeq & | inout ()
floatSeqSeq *& | out ()
floatSeqSeq * | _retn ()

## Friends
class | floatSeqSeq_out

## Constructor & Destructor Documentation

## ◆ floatSeqSeq_var() [1/3]

floatSeqSeq_var::floatSeqSeq_var | ( |  | ) |
| inline

## ◆ floatSeqSeq_var() [2/3]

floatSeqSeq_var::floatSeqSeq_var | ( | floatSeqSeq * | _s | ) |
| inline

## ◆ floatSeqSeq_var() [3/3]

floatSeqSeq_var::floatSeqSeq_var | ( | const floatSeqSeq_var & | _s | ) |
| inline

## ◆ ~floatSeqSeq_var()

floatSeqSeq_var::~floatSeqSeq_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

floatSeqSeq* floatSeqSeq_var::_retn | ( |  | ) |
| inline

## ◆ in()

const floatSeqSeq& floatSeqSeq_var::in | ( |  | ) | const
| inline

## ◆ inout()

floatSeqSeq& floatSeqSeq_var::inout | ( |  | ) |
| inline

## ◆ operator const floatSeqSeq &()

floatSeqSeq_var::operator const floatSeqSeq & | ( |  | ) | const
| inline

## ◆ operator floatSeqSeq &()

floatSeqSeq_var::operator floatSeqSeq & | ( |  | ) |
| inline

## ◆ operator->() [1/2]

floatSeqSeq* floatSeqSeq_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const floatSeqSeq* floatSeqSeq_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

floatSeqSeq_var& floatSeqSeq_var::operator= | ( | const floatSeqSeq_var & | _s | ) |
| inline

## ◆ operator=() [2/2]

floatSeqSeq_var& floatSeqSeq_var::operator= | ( | floatSeqSeq * | _s | ) |
| inline

## ◆ operator[]()

floatSeq& floatSeqSeq_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

floatSeqSeq*& floatSeqSeq_var::out | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ floatSeqSeq_out

friend class floatSeqSeq_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh